Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-30-08, 02:14 PM   #1
jduda
Registered User
 
Join Date: Feb 2008
Posts: 8
Default Anyone have a 2.6.25 kernel patch for 100.14.11 ?

Does anyone have a patch for NVIDIA-Linux-x86-100.14.11 to allow it to compile with the 2.6.25 series kernels?

I'm getting this error:

/home/jduda/software/NVIDIA-Linux-x86-100.14.11-pkg1/usr/src/nv/nv-vm.c:79:
warning: 'change_page_attr' is deprecated (declared at include/asm/cacheflus
h.h:27)
/home/jduda/software/NVIDIA-Linux-x86-100.14.11-pkg1/usr/src/nv/nv-vm.c: In
function 'nv_flush_caches':
/home/jduda/software/NVIDIA-Linux-x86-100.14.11-pkg1/usr/src/nv/nv-vm.c:365:
error: implicit declaration of function 'global_flush_tlb'
make[4]: *** [/home/jduda/software/NVIDIA-Linux-x86-100.14.11-pkg1/usr/src/n
v/nv-vm.o] Error 1
make[3]: *** [_module_/home/jduda/software/NVIDIA-Linux-x86-100.14.11-pkg1/u
sr/src/nv] Error 2
make[2]: *** [sub-make] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Error 1
make: *** [module] Error 2

I'm using FX5200 and FX6200 series cards and this is the only version of the NVIDIA driver that I can get to work properly with xvmc.

Thanks for any info.

Jim
jduda is offline   Reply With Quote
Old 08-30-08, 03:37 PM   #2
jduda
Registered User
 
Join Date: Feb 2008
Posts: 8
Default Re: Anyone have a 2.6.25 kernel patch for 100.14.11 ?

After more investigation, I believe I'm looking for patches which will allow 100.14.11 to compile and work with fedora release 9 ( i recently upgraded to fc9, but shouldn't have :-(

For some reason, my FX6200 won't work properly with the latest NVIDIA drivers with XVMC. When I attempt to use mplayer with xvmc with anything but 100.14.11, mplayer doesn't work properly.

So, I appear to be stuck with 100.14.11 but required support for fc9.

Thanks,

Jim
jduda is offline   Reply With Quote
Old 08-30-08, 03:42 PM   #3
jduda
Registered User
 
Join Date: Feb 2008
Posts: 8
Default Re: Anyone have a 2.6.25 kernel patch for 100.14.11 ?

I can build 100.14.11 using a 2.6.24 series kernel.

However, attempting to run on a Fedora 9 system, I get this error:

X.Org X Server 1.4.99.905 (1.5.0 RC 5)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-92.1.6.el5xen i686
Current Operating System: Linux lroom 2.6.24.3-tftp #6 Sat Aug 30 15:34:45 EDT 2008 i686
Build Date: 02 July 2008 01:36:37PM
Build ID: xorg-x11-server 1.4.99.905-2.20080702.fc9
Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Aug 30 16:40:30 2008
(++) Using config file: "/etc/XF86Config-4.nvidia"
(EE) module ABI major version (0) doesn't match the server's version (1)
(EE) Failed to load module "glx" (module requirement mismatch, 0)
dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so
(EE) Failed to load module "nvidia" (loader failed, 7)
(EE) No drivers available.

Jim
jduda is offline   Reply With Quote
Old 08-30-08, 05:24 PM   #4
Dragoran
Registered User
 
Join Date: May 2004
Posts: 711
Default Re: Anyone have a 2.6.25 kernel patch for 100.14.11 ?

This driver does not work with the xorg version shipped in F9.
Dragoran is offline   Reply With Quote
Old 08-30-08, 07:40 PM   #5
jduda
Registered User
 
Join Date: Feb 2008
Posts: 8
Default Re: Anyone have a 2.6.25 kernel patch for 100.14.11 ?

Thanks for the response. I was afraid this was going to be the answer. I guess I need to resolve the real issue as to why the FX6200 doesn't work with the latest driver when using XVMC.
jduda is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Random crashes, NVRM Xid messages Iesos NVIDIA Linux 90 10-04-12 03:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 08:22 PM

All times are GMT -5. The time now is 03:02 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.